Skip to main content
GET
/
earn
/
opportunities
TypeScript
const response: Promise<FireblocksResponse<GetOpportunitiesResponse>> = fireblocks.earnBeta.getEarnOpportunities(earnBetaApiGetEarnOpportunitiesRequest);
{
  "data": [
    {
      "id": "opp-usdc-eth-001",
      "providerId": "MORPHO",
      "type": "VAULT",
      "chainId": "1",
      "address": "0x1234567890123456789012345678901234567890",
      "name": "USDC Core",
      "symbol": "mUSDC",
      "principalAsset": {
        "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
        "symbol": "USDC",
        "decimals": 6,
        "assetId": "USDC_ETH"
      },
      "positionAsset": {
        "address": "0xabcdefabcdefabcdefabcdefabcdefabcdefabcd",
        "symbol": "mUSDC",
        "decimals": 18,
        "assetId": "MORPHO_USDC_VAULT_ETH"
      },
      "totalAssets": "50000000.0",
      "liquidity": "1200000.0",
      "apy": {
        "native": 4.25,
        "gross": 4.4,
        "net": 4.05
      },
      "performanceFee": "0.10",
      "exposure": [],
      "managementFee": "0.01"
    }
  ],
  "total": 1,
  "next": "",
  "prev": ""
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pageCursor
string

Cursor for the next or previous page of results.

pageSize
integer<int32>
default:100

Number of items per page.

Required range: 1 <= x <= 100
sortBy
string

Field to sort results by.

order
enum<string>
default:DESC

Sort order (ASC or DESC).

Available options:
ASC,
DESC
Example:

"ASC"

Response

OK

data
object[]
required

Page of lending opportunities for this query.

Example:
[
{
"id": "opp-usdc-eth-001",
"providerId": "MORPHO",
"type": "VAULT",
"chainId": "1",
"address": "0x1234567890123456789012345678901234567890",
"name": "USDC Core",
"symbol": "mUSDC",
"principalAsset": {
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"symbol": "USDC",
"decimals": 6,
"assetId": "USDC_ETH"
},
"positionAsset": {
"address": "0xabcdefabcdefabcdefabcdefabcdefabcdefabcd",
"symbol": "mUSDC",
"decimals": 18,
"assetId": "MORPHO_USDC_VAULT_ETH"
},
"totalAssets": "50000000.0",
"liquidity": "1200000.0",
"apy": { "native": 4.25, "gross": 4.4, "net": 4.05 },
"performanceFee": "0.10",
"exposure": [],
"managementFee": "0.01"
}
]
total
integer<int32>
required

Total number of items matching the query.

Example:

1

next
string

Opaque cursor for the next page; empty when there is no next page.

Example:

""

prev
string

Opaque cursor for the previous page; empty when there is no previous page.

Example:

""